Fetch Beneficiary Details v1
curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/details \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/beneficiaries/details';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/beneficiaries/details")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/beneficiaries/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/beneficiaries/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "f653e109-6c62-4aa4-869c-418c874e0a6c",
"customer_id": "ad41fac1-e406-445b-aea4-69381c39ca5d",
"active": true,
"country_code": "AUS",
"first_name": "John",
"last_name": "Doe",
"business_name": "Investment bank",
"type": "INDIVIDUAL",
"nationality": "AUS",
"email": "john.doe@example.com",
"phone": "+61412345678",
"method": "BANK",
"currency": "AUD",
"account_number": "*****6789",
"refund_wallet_address": "0x1b577931C1cC2765024bFbafad97bCe14FF2e87F",
"developer_fee_fixed": 1.25,
"developer_fee_percentage": 0.45,
"liquidation_address": "0x185571d849dcfefff449bd1e9f847b1322f22834",
"auto_settlement": false,
"source_currency": "USDC",
"source_chain": "POLYGON",
"created_at": "2025-12-09T14:56:47.916263Z",
"updated_at": "2025-12-09T14:56:49.1308Z"
}
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}Fetch Beneficiary Details
Fetch Beneficiary Details v1
Retrieve detailed information for a specific beneficiary
GET
/
v1
/
beneficiaries
/
details
Fetch Beneficiary Details v1
curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/details \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/beneficiaries/details';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/beneficiaries/details")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/beneficiaries/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/beneficiaries/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "f653e109-6c62-4aa4-869c-418c874e0a6c",
"customer_id": "ad41fac1-e406-445b-aea4-69381c39ca5d",
"active": true,
"country_code": "AUS",
"first_name": "John",
"last_name": "Doe",
"business_name": "Investment bank",
"type": "INDIVIDUAL",
"nationality": "AUS",
"email": "john.doe@example.com",
"phone": "+61412345678",
"method": "BANK",
"currency": "AUD",
"account_number": "*****6789",
"refund_wallet_address": "0x1b577931C1cC2765024bFbafad97bCe14FF2e87F",
"developer_fee_fixed": 1.25,
"developer_fee_percentage": 0.45,
"liquidation_address": "0x185571d849dcfefff449bd1e9f847b1322f22834",
"auto_settlement": false,
"source_currency": "USDC",
"source_chain": "POLYGON",
"created_at": "2025-12-09T14:56:47.916263Z",
"updated_at": "2025-12-09T14:56:49.1308Z"
}
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}This endpoint was deprecated on May 20, 2026. Use Fetch Beneficiary Details V2 instead.
Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Response
Beneficiary details retrieved successfully
Show child attributes
Show child attributes
⌘I
